
Name:    kppp
Summary: Dialer and Front end for pppd
Version: 4.11.5
Release: 1%{?dist}

License: GPLv2+ and GFDL
URL:     https://projects.kde.org/projects/kde/kdenetwork/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz
Source1: kppp.console
Source2: kppp.pam

# rhbz#540433 - KPPP is unable to add DNS entries to /etc/resolv.conf
Patch2: kdenetwork-4.3.3-resolv-conf-path.patch

# warning: dereferencing type-punned pointer will break strict-aliasing rules
Patch5: kppp-4.10.90-strict_aliasing.patch

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}
Requires: ppp
# use consolehelper instead of setuid kppp
Requires: usermode-gtk

# when split occurred
Conflicts: kdenetwork-common < 7:4.10.80
Obsoletes: kdenetwork-kppp < 7:4.10.80
Provides:  kdenetwork-kppp = 7:%{version}-%{release}

%description
%{summary}.


%prep
%setup -q

%patch2 -p2 -b .resolv-conf-path
%patch5 -p1 -b .strict_aliasing


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --without-mo

# Run kppp through consolehelper
mkdir -p %{buildroot}%{_sbindir}
chmod 0755 %{buildroot}%{_bindir}/kppp
mv %{buildroot}%{_bindir}/kppp %{buildroot}%{_sbindir}/
ln -s consolehelper %{buildroot}%{_bindir}/kppp
install -D -m644 -p %{SOURCE1} %{buildroot}%{_sysconfdir}/security/console.apps/kppp
install -D -m644 -p %{SOURCE2} %{buildroot}%{_sysconfdir}/pam.d/kppp


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/Kppp.desktop
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kppplogview.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files -f %{name}.lang
%{_sbindir}/kppp
%{_kde4_bindir}/kppp*
%config(noreplace) %{_sysconfdir}/security/console.apps/kppp
%config(noreplace) %{_sysconfdir}/pam.d/kppp
%{_kde4_appsdir}/kppp/
%{_kde4_datadir}/applications/kde4/Kppp.desktop
%{_kde4_datadir}/applications/kde4/kppplogview.desktop
%{_kde4_iconsdir}/hicolor/*/apps/kppp.*
%{_datadir}/dbus-1/interfaces/org.kde.kppp.xml



%changelog
* Sat Jan 04 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.11.5-1
- 4.11.5

* Fri Dec 13 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.4-1
- 4.11.4

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Sun Aug 11 2013 Rex Dieter <rdieter@fedoraproject.org> 4.11.0-1
- 4.11.0

* Tue Jul 30 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.97-1
- 4.10.97

* Wed Jul 24 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.95-1
- 4.10.95

* Fri Jun 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.90-1
- 4.10.90
